LibreOffice: XTextConvert Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XTextConvert Interface Reference

allows converting selections of text to frames or tables. More...

`import"XTextConvert.idl";`

Inheritance diagram for XTextConvert:

## Public Member Functions
::com::sun::star::text::XTextContent | convertToTextFrame ([in] com::sun::star::text::XTextRange Start, [in] com::sun::star::text::XTextRange End, [in] com::sun::star::beans::PropertyValues FrameProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException )
| moves the paragraphs from Start to End into a text frame. More...
::com::sun::star::text::XTextTable | convertToTable ([in] sequence< sequence< sequence< com::sun::star::text::XTextRange > > > TableRanges, [in] sequence< sequence< com::sun::star::beans::PropertyValues > > CellProperties, [in] sequence< com::sun::star::beans::PropertyValues > RowProperties, [in] com::sun::star::beans::PropertyValues TableProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| converts the paragraphs marked in TableRanges into a table. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows converting selections of text to frames or tables.

## Member Function Documentation

## § convertToTable()

::com::sun::star::text::XTextTable convertToTable | ( | [in] sequence< sequence< sequence< com::sun::star::text::XTextRange > > > | TableRanges,
|  | [in] sequence< sequence< com::sun::star::beans::PropertyValues > > | CellProperties,
|  | [in] sequence< com::sun::star::beans::PropertyValues > | RowProperties,
|  | [in] com::sun::star::beans::PropertyValues | TableProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException
| ) |  |

converts the paragraphs marked in TableRanges into a table.

Parameters

  TableRanges | contains the TextRange interfaces of the paragraphs, cells and rows of the table.

The inner sequence contains the start and end paragraphs of each table cell. The next sequence groups the cells to a row and the outer sequence groups the rows of the table.

Parameters

  CellProperties | contains the properties of each cell.
  RowProperties | contains the properties of each table row.
  TableProperties | contains the properties of the table.

Returns
  the created table.

## § convertToTextFrame()

::com::sun::star::text::XTextContent convertToTextFrame | ( | [in] com::sun::star::text::XTextRange | Start,
|  | [in] com::sun::star::text::XTextRange | End,
|  | [in] com::sun::star::beans::PropertyValues | FrameProperties
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException
| ) |  |

moves the paragraphs from Start to End into a text frame.

Parameters

  Start | start position of frame content
  End | end position of frame content
  FrameProperties | contains the properties of the to-be-created text frame

Returns
  the newly created text frame

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextConvert.idl